- MongoDB C Driver 1.9.3-dev »
- API Reference »
- mongoc_uri_t

# mongoc_uri_set_username()

## Synopsis

    bool
    mongoc_uri_set_username (mongoc_uri_t *uri, const char *username);

## Parameters

- `uri`: A mongoc_uri_t.
- `username`: The new username.

## Description

Sets the URI’s username, after the URI has been parsed from a string. The driver authenticates with this username if the password is also set.

## Returns

Returns false if the option cannot be set, for example if `username` is not valid UTF-8.

Created using Sphinx 1.6.6, based on Sphinx Readable Theme.